﻿a {
    color: #2872A1
}

.qdp-bg-green {
    background-color: var(--color-green);
    color: #0C0A04;
}

.qdp-bg-secondary-20 {
    background-color: rgb(131,139,139,0.2);
    color: #0C0A04;
}

.qdp-bg-secondary-40 {
    background-color: rgb(131,139,139,0.4);
    color: #0C0A04;
}

.qdp-bg-secondary-50 {
    background-color: rgb(131,139,139,0.5);
    color: #0C0A04;
}

.qdp-bg-secondary-70 {
    background-color: rgb(131,139,139,0.7);
    color: #0C0A04;
}

.qdp-bg-secondary-100 {
    background-color: rgb(131,139,139,0.2);
    color: #0C0A04;
}

.qdp-bg-primary-20 {
    background-color: rgb(134,176,203,0.2);
    color: #0C0A04;
}

.qdp-bg-primary-40 {
    background-color: rgb(134,176,203,0.4);
    color: #0C0A04;
}

.qdp-bg-primary-50 {
    background-color: rgb(134,176,203,0.5);
    color: #0C0A04;
}

.qdp-bg-primary-70 {
    background-color: rgb(134,176,203,0.7);
    color: #0C0A04;
}

.qdp-bg-primary-100 {
    background-color: rgb(134,176,203,0.2);
    color: #0C0A04;
}

.qdp-bg-success-20 {
    background-color: rgb(205,242,173,0.2);
    color: #0C0A04;
}

.qdp-bg-success-40 {
    background-color: rgb(205,242,173,0.4);
    color: #0C0A04;
}

.qdp-bg-success-50 {
    background-color: rgb(205,242,173,0.5);
    color: #0C0A04;
}

.qdp-bg-success-70 {
    background-color: rgb(205,242,173,0.7);
    color: #0C0A04;
}

.qdp-bg-success-100 {
    background-color: rgb(205,242,173);
    color: #0C0A04;
}


.qdp-bg-warning-20 {
    background-color: rgb(250,238,108,0.2);
    color: #0C0A04;
}

.qdp-bg-warning-40 {
    background-color: rgb(250,238,108,0.4);
    color: #0C0A04;
}

.qdp-bg-warning-50 {
    background-color: rgb(250,238,108,0.5);
    color: #0C0A04;
}

.qdp-bg-warning-70 {
    background-color: rgb(250,238,108,0.7);
    color: #0C0A04;
}

.qdp-bg-warning-100 {
    background-color: rgb(250,238,108,0.7);
    color: #0C0A04;
}


.qdp-bg-danger-20 {
    background-color: rgb(251,139,130,0.2);
    color: #0C0A04;
}

.qdp-bg-danger-40 {
    background-color: rgb(251,139,130,0.4);
    color: #0C0A04;
}

.qdp-bg-danger-50 {
    background-color: rgb(251,139,130,0.5);
    color: #0C0A04;
}

.qdp-bg-danger-70 {
    background-color: rgb(251,139,130,0.7);
    color: #0C0A04;
}

.qdp-bg-danger-100 {
    background-color: rgb(251,139,130,0.7);
    color: #0C0A04;
}

.qdp-bg-secondary {
    background-color: var(--color-grey);
    color: #0C0A04;
}

.qdp-bg-primary {
    background-color: var(--color-blue);
    color: #0C0A04;
}

.qdp-bg-success {
    background-color: var(--color-green);
    color: #0C0A04;
}

.qdp-bg-warning {
    background-color: var(--color-orange);
    color: #0C0A04;
}

.qdp-bg-danger {
    background-color: var(--color-red);
    color: #0C0A04;
}

.qdp-btn-secondary {
    background-color: var(--color-grey);
    color: #ffffff;
    border: 2px solid var(--color-grey);
}

.qdp-btn-outline-secondary {
    color: #0C0A04;
    border: 2px solid var(--color-grey);
}

.qdp-btn-primary {
    background-color: var(--color-blue);
    color: white;
    border: 2px solid var(--color-blue);
}

    .qdp-btn-primary:hover {
        color: var(--color-grey);
    }

.qdp-btn-outline-primary {
    color: white;
    border: 2px solid var(--color-blue);
}

.qdp-btn-success {
    background-color: var(--color-green);
    color: #0C0A04;
    border: 2px solid var(--color-green);
}

.qdp-btn-outline-success {
    color: #0C0A04;
    border: 2px solid var(--color-green);
}

.qdp-btn-warning {
    background-color: var(--color-orange);
    color: #0C0A04;
    border: 2px solid var(--color-orange);
}

.qdp-btn-outline-warning {
    color: #0C0A04;
    border: 2px solid var(--color-orange);
}

.qdp-btn-danger {
    background-color: var(--color-red);
    color: #0C0A04;
    border: 2px solid var(--color-red);
}

.qdp-btn-outline-danger {
    color: #0C0A04;
    border: 2px solid var(--color-red);
}

.qdp-textfeld-success {
    border: 2px solid var(--color-green);
}

.qdp-textfeld-warning {
    border: 2px solid var(--color-orange);
}

.qdp-textfeld-danger {
    border: 2px solid var(--color-red);
}

.qdp-logo-container {
    position: relative;
    height: 64px;
}

.qdp-logo {
    max-height: 100%;
    position: absolute;
    top: 50%;
    left: 20px;
}

@media(min-width: 1400px) {
    .qdp-logo {
        left: calc(((100vw - 1320px)/2)*-1 + 20px);
    }
}

.qdp-rounded-15 {
    border-radius: 15%,15%;
}

.separator {
    display: flex;
    align-items: center;
    text-align: center;
}

    .separator::before,
    .separator::after {
        content: '';
        flex: 1;
        border-bottom: 1px solid #000;
    }

    .separator:not(:empty)::before {
        margin-right: .25em;
    }

    .separator:not(:empty)::after {
        margin-left: .25em;
    }

thead {
    position: sticky;
    top: 0;
    z-index: 0;
}


.form-check-input:checked {
    background-color: rgb(134,176,203);
    border-color: rgb(134,176,203);
    color: white;
}

.qdp-switch-lr-label {
    background-color: rgb(134,176,203);
    border-color: rgb(134,176,203);
    color: white;
}
